Modify

Opened 22 months ago

Closed 14 months ago

Last modified 13 months ago

#19585 closed defect (fixed)

IAE: Width and height must be >= 0 (Metal look-and-feel on Linux)

Reported by: skyper Owned by: Don-vip
Priority: critical Milestone: 21.03
Component: Core Version:
Keywords: template_report IAE linux java11 tooltip metal javabug Cc: simon04, mnalis, dx125, OSM_RogerWilco, SoCal, Maplove, SpillerC, Strubbl, Win32netsky, A_Pirard, icke68746

Description (last modified by skyper)

What steps will reproduce the problem?

I do not know or simply using JOSM. Bug Report Dialog rises on different actions like simply clicks in Mapview or closing a relation editor.

What is the expected result?

No Bug Report Dialogs

What happens instead?

Bug Report Dialogs

Please provide any additional information below. Attach a screenshot if possible.

I just updated java from 11.0.7+ to 11.0.8+.
#11123 looks similar. So I suspect this to be a java bug but maybe a workaround is possible.
I reported this to my JRE package maintainers, see Debian Bug #967049.

As of 2021-03-15 all duplicate reports are with:

  • MetalLookAndFeel
  • Linux Suse/Debian/Ubuntu/Flathub/Parabola/Arch/Fedora
  • openjdk-jre 11.0.8 / 11.0.9 / 11.0.10 / 15.0.1 / 15.0.2
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-26 09:33:11 +0200 (Sun, 26 Jul 2020)
Revision:16809
Build-Date:2020-07-27 01:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16809 en) Linux Debian GNU/Linux 10 (buster)
Java version: 11.0.8+10-post-Debian-1deb10u1, Debian, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel

Last errors/warnings:
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Width and height must be >= 0
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Width and height must be >= 0


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (18) of main
java.lang.IllegalArgumentException: Width and height must be >= 0
	at java.desktop/javax.swing.plaf.basic.BasicHTML.getHTMLBaseline(BasicHTML.java:91)
	at java.desktop/javax.swing.plaf.metal.MetalToolTipUI.paint(MetalToolTipUI.java:126)
	at java.desktop/javax.swing.plaf.ComponentUI.update(ComponentUI.java:161)
	at java.desktop/javax.swing.JComponent.paintComponent(JComponent.java:797)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1074)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1083)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1083)
	at java.desktop/javax.swing.JLayeredPane.paint(JLayeredPane.java:590)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paintToOffscreen(JComponent.java:5262)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBufferedImpl(RepaintManager.java:1643)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(RepaintManager.java:1618)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paint(RepaintManager.java:1556)
	at java.desktop/javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:262)
	at java.desktop/javax.swing.RepaintManager.paint(RepaintManager.java:1323)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1060)
	at java.desktop/java.awt.GraphicsCallback$PaintCallback.run(GraphicsCallback.java:39)
	at java.desktop/sun.awt.SunGraphicsCallback.runOneComponent(SunGraphicsCallback.java:78)
	at java.desktop/sun.awt.SunGraphicsCallback.runComponents(SunGraphicsCallback.java:115)
	at java.desktop/java.awt.Container.paint(Container.java:2002)
	at java.desktop/java.awt.Window.paint(Window.java:3940)
	at java.desktop/javax.swing.RepaintManager$4.run(RepaintManager.java:876)
	at java.desktop/javax.swing.RepaintManager$4.run(RepaintManager.java:848)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:848)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:823)
	at java.desktop/javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:772)
	at java.desktop/javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1890)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

Attachments (1)

Screenshot_20210110_161540.png (75.0 KB) - added by anonymous 17 months ago.
Upload dialog where the exception occurred

Download all attachments as: .zip

Change History (151)

comment:1 Changed 22 months ago by skyper

Ticket #19593 has been marked as a duplicate of this ticket.

comment:2 Changed 22 months ago by skyper

I faced this exception only after the first startup with the new java version. Yesterday, I did not face it, though, I was not editing much.

Last edited 22 months ago by skyper (previous) (diff)

comment:3 Changed 22 months ago by skyper

Ticket #19599 has been marked as a duplicate of this ticket.

comment:4 Changed 22 months ago by skyper

Ticket #19601 has been marked as a duplicate of this ticket.

comment:5 Changed 22 months ago by Klumbumbus

all reports are with Metal Look And Feel.

comment:6 in reply to:  5 Changed 22 months ago by skyper

Replying to Klumbumbus:

all reports are with Metal Look And Feel.

Yeah, and so far with debian-based Linux with openjdk 11.0.8+10-post

comment:7 Changed 22 months ago by Klumbumbus

Ticket #19617 has been marked as a duplicate of this ticket.

comment:8 in reply to:  2 Changed 22 months ago by skyper

Replying to skyper:

I faced this exception only after the first startup with the new java version. Yesterday, I did not face it, though, I was not editing much.

Does not happen that often but I just got it, again.

Let's see what package maintainers say about it: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=967049

Last edited 22 months ago by skyper (previous) (diff)

comment:9 Changed 22 months ago by Klumbumbus

Ticket #19626 has been marked as a duplicate of this ticket.

comment:10 Changed 22 months ago by skyper

Ticket #19661 has been marked as a duplicate of this ticket.

comment:11 Changed 22 months ago by Klumbumbus

Priority: normalmajor

comment:12 Changed 22 months ago by skyper

Description: modified (diff)
Keywords: linux java11 added

Maybe, an Ubuntu user is willed to report this against the Ubuntu package on launchpad.

comment:13 Changed 22 months ago by skyper

Description: modified (diff)

comment:14 Changed 22 months ago by skyper

Description: modified (diff)

comment:15 Changed 22 months ago by skyper

Ticket #19686 has been marked as a duplicate of this ticket.

comment:16 Changed 21 months ago by skyper

Ticket #19709 has been marked as a duplicate of this ticket.

comment:17 Changed 21 months ago by skyper

Ticket #19711 has been marked as a duplicate of this ticket.

comment:18 Changed 21 months ago by simon04

Ticket #19727 has been marked as a duplicate of this ticket.

comment:19 Changed 21 months ago by skyper

Ticket #19775 has been marked as a duplicate of this ticket.

comment:20 Changed 21 months ago by Klumbumbus

Ticket #19802 has been marked as a duplicate of this ticket.

comment:21 Changed 21 months ago by skyper

Ticket #19804 has been marked as a duplicate of this ticket.

comment:22 Changed 21 months ago by Klumbumbus

Cc: simon04 added

I have the slight feeling that this bug was triggered by the rework in #19381, because I think I read "upload" in several of the duplicate reports and #11123 was about resizing windows too.

comment:23 in reply to:  22 ; Changed 21 months ago by skyper

Replying to Klumbumbus:

I have the slight feeling that this bug was triggered by the rework in #19381, because I think I read "upload" in several of the duplicate reports and #11123 was about resizing windows too.

No, I get it with all kinds of dialogs like relation manager, validator panel, history viewer etc.. Have to watch out, if it only happens with separate dialogs and undocked panels.

Have a look at Don-vip's on #11123 comment:10:

OK reproduced on Ubuntu, and on Windows too by enabling the Metal L&F. It's a bug of Java (javabug:6719550) itself that can happen even if our tooltip has positive dimensions. Netbeans guys already encountered the bug and silently ignored the exception, I'll do the same.

I am not sure if is tight to metal look-and-feel but I am pretty sure that something changed in openjdk-11-jre with the last security update, as I remember the josm version did not change that day and I only faced this exception after the java update.

Probably the easiest solution on our side is to silently ignore this warning.

comment:24 Changed 20 months ago by skyper

Ticket #19829 has been marked as a duplicate of this ticket.

comment:25 Changed 20 months ago by GerdP

Ticket #19840 has been marked as a duplicate of this ticket.

comment:26 Changed 20 months ago by Klumbumbus

Ticket #19845 has been marked as a duplicate of this ticket.

comment:27 Changed 20 months ago by GerdP

Ticket #19847 has been marked as a duplicate of this ticket.

comment:28 Changed 20 months ago by Klumbumbus

Description: modified (diff)

comment:29 Changed 20 months ago by skyper

Description: modified (diff)
Keywords: tooltip added

comment:30 Changed 20 months ago by skyper

Ticket #19878 has been marked as a duplicate of this ticket.

comment:31 Changed 20 months ago by Klumbumbus

Ticket #19883 has been marked as a duplicate of this ticket.

comment:32 Changed 20 months ago by skyper

Ticket #19900 has been marked as a duplicate of this ticket.

comment:33 Changed 20 months ago by Klumbumbus

Description: modified (diff)

comment:34 Changed 20 months ago by Klumbumbus

Ticket #19905 has been marked as a duplicate of this ticket.

comment:35 in reply to:  23 ; Changed 20 months ago by Don-vip

Replying to skyper:

Probably the easiest solution on our side is to silently ignore this warning.

Not easy at all. The error happens in the EDT, not in a JOSM thread. The question is really why so many people are using Metal?

comment:36 Changed 20 months ago by Don-vip

Description: modified (diff)
Keywords: metal added
Priority: majorcritical

comment:37 in reply to:  35 Changed 20 months ago by skyper

Replying to Don-vip:

The question is really why so many people are using Metal?

I did use it together with Gnome, as the Gtk-Theme has bigger elements and therefore less content is displayed.

Is the Look-And-Feel set properly on the first startup or does every user have to set it once, manually?

Last edited 20 months ago by skyper (previous) (diff)

comment:38 Changed 20 months ago by mdk

I never choose a GTK theme (as far as I remember) but my JOSM on Ubuntu uses Metal. So it looks like a default value.

comment:39 Changed 20 months ago by skyper

Ticket #19919 has been marked as a duplicate of this ticket.

comment:40 Changed 19 months ago by Klumbumbus

Ticket #19991 has been marked as a duplicate of this ticket.

comment:41 Changed 19 months ago by Klumbumbus

Ticket #19992 has been marked as a duplicate of this ticket.

comment:42 Changed 19 months ago by skyper

Ticket #19999 has been marked as a duplicate of this ticket.

comment:43 Changed 19 months ago by skyper

Ticket #20011 has been marked as a duplicate of this ticket.

comment:44 Changed 19 months ago by Klumbumbus

Description: modified (diff)

#20011 is the first one with 11.0.9

comment:45 Changed 19 months ago by GerdP

In #20011 there is also a hint about the problematic JOSM code in the stacktrace:
org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:459)

comment:46 Changed 19 months ago by Klumbumbus

Ticket #20053 has been marked as a duplicate of this ticket.

comment:47 Changed 19 months ago by GerdP

Ticket #20060 has been marked as a duplicate of this ticket.

comment:48 Changed 19 months ago by mnalis

for the record, I've had this problem (in dupe #20060) and I'm not using any DE, but just icewm on Debian Buster (with "icedesert" theme)

comment:49 Changed 19 months ago by mnalis

Cc: mnalis added

comment:50 in reply to:  48 ; Changed 19 months ago by skyper

Replying to mnalis:

for the record, I've had this problem (in dupe #20060) and I'm not using any DE, but just icewm on Debian Buster (with "icedesert" theme)

Sorry for not adding you to "cc".

This problem does not depend on X or WM but on the java theme (Metal) used and openjdk-11-jre version 11.0.8+. You may want to comment on the debian bug 967049.

comment:51 Changed 19 months ago by Klumbumbus

Description: modified (diff)

comment:52 in reply to:  50 ; Changed 19 months ago by mnalis

Replying to skyper:

This problem does not depend on X or WM but on the java theme (Metal) used and openjdk-11-jre version 11.0.8+. You may want to comment on the debian bug 967049.

Oh, thanks, didn't know that. I've updated Debian bug with what I know (mostly that I didn't experience this bug before cca start of Oct/2020).

If I read bug report correctly, if in JOSM I go to Edit / Preferences / Display Settings / Look and feel and change Metal to GTK+ or something else, this bug might/should disappear? I don't remember ever setting that (so it might be default - but I've been using JOSM for years, so I might have changed it and forgotten all about it)

comment:53 in reply to:  52 Changed 19 months ago by Klumbumbus

Replying to mnalis:

change Metal to GTK+ or something else, this bug might/should disappear?

Yes. You might also check out the FlatLaf plugin. It adds 4 more nice LookAndFeels.

I don't remember ever setting that

"Metal" is the default for unixoid systems.

comment:54 Changed 19 months ago by Klumbumbus

Ticket #20063 has been marked as a duplicate of this ticket.

comment:55 Changed 19 months ago by skyper

Ticket #20087 has been marked as a duplicate of this ticket.

comment:56 Changed 19 months ago by skyper

Cc: dx125 added

comment:57 Changed 18 months ago by skyper

Ticket #20104 has been marked as a duplicate of this ticket.

comment:58 Changed 18 months ago by GerdP

Ticket #20105 has been marked as a duplicate of this ticket.

comment:59 Changed 18 months ago by skyper

Cc: pangoSE added
Description: modified (diff)

comment:60 Changed 18 months ago by simon04

Ticket #20125 has been marked as a duplicate of this ticket.

comment:61 Changed 18 months ago by GerdP

Ticket #20132 has been marked as a duplicate of this ticket.

comment:62 Changed 18 months ago by GerdP

Ticket #20135 has been marked as a duplicate of this ticket.

comment:63 Changed 18 months ago by GerdP

Ticket #20145 has been marked as a duplicate of this ticket.

comment:64 Changed 18 months ago by gaben

Ticket #20149 has been marked as a duplicate of this ticket.

comment:65 Changed 18 months ago by Don-vip

Summary: IAE: Width and height must be >= 0IAE: Width and height must be >= 0 (Metal look-and-feel on Linux)

comment:66 Changed 18 months ago by Don-vip

Ticket #20151 has been marked as a duplicate of this ticket.

comment:67 Changed 18 months ago by Don-vip

I still don't understand the problem. openjdk 11.0.8 was (surprisingly) a pretty big release with 63 java2d/awt/swing tickets. Working on reproducing it.

comment:68 Changed 18 months ago by skyper

Is this javabug 6632953 ?

comment:69 Changed 18 months ago by Don-vip

I don't think there's a java bug yet. The massive amount of bug reports following 11.0.8 release really makes me think it's a regression not yet reported to Oracle. But I must have a reproducible use case in order to report it and get a chance to see the bug fixed.

comment:70 Changed 18 months ago by skyper

Ticket #20162 has been marked as a duplicate of this ticket.

comment:71 Changed 18 months ago by skyper

Cc: OSM_RogerWilco added

comment:72 Changed 18 months ago by GerdP

Ticket #20168 has been marked as a duplicate of this ticket.

comment:73 Changed 18 months ago by GerdP

Ticket #20172 has been marked as a duplicate of this ticket.

comment:74 Changed 18 months ago by skyper

Ticket #20176 has been marked as a duplicate of this ticket.

comment:75 Changed 18 months ago by skyper

Cc: SoCal Maplove added

comment:76 Changed 18 months ago by skyper

Ticket #20180 has been marked as a duplicate of this ticket.

comment:77 Changed 18 months ago by Klumbumbus

Ticket #20206 has been marked as a duplicate of this ticket.

comment:78 Changed 18 months ago by GerdP

Ticket #20221 has been marked as a duplicate of this ticket.

comment:79 Changed 18 months ago by GerdP

Ticket #20223 has been marked as a duplicate of this ticket.

comment:80 Changed 18 months ago by Klumbumbus

Ticket #20224 has been marked as a duplicate of this ticket.

comment:81 Changed 18 months ago by GerdP

Ticket #20229 has been marked as a duplicate of this ticket.

comment:82 Changed 18 months ago by Klumbumbus

Ticket #20252 has been marked as a duplicate of this ticket.

comment:83 Changed 17 months ago by GerdP

Ticket #20282 has been marked as a duplicate of this ticket.

comment:84 Changed 17 months ago by Klumbumbus

Ticket #20298 has been marked as a duplicate of this ticket.

comment:85 Changed 17 months ago by skyper

Ticket #20303 has been marked as a duplicate of this ticket.

comment:86 Changed 17 months ago by skyper

Cc: SpillerC added

comment:87 Changed 17 months ago by Klumbumbus

Description: modified (diff)

comment:88 Changed 17 months ago by skyper

Ticket #20347 has been marked as a duplicate of this ticket.

comment:89 Changed 17 months ago by skyper

Ticket #20348 has been marked as a duplicate of this ticket.

comment:90 Changed 17 months ago by anonymous

I got the same error today while I wanted to upload my three changed objects.
I saw that it was not possible to click into the comment field in the upload dialog. For me it seemed that the input fields where on a lower position than actually rendered.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-12-28 22:03:23 +0100 (Mon, 28 Dec 2020)
Revision:17428
Build-Date:2020-12-29 02:30:53
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (17428 de) Linux Ubuntu 18.04.4 LTS
Memory Usage: 553 MB / 1234 MB (126 MB allocated, but free)
Java version: 11.0.9.1+1-Ubuntu-0ubuntu1.18.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1680×955 (scaling 1,00×1,00)
Maximum Screen Size: 1680×955
Best cursor sizes: 16×16→16×16, 32×32→32×32
Desktop environment: KDE
Java package: openjdk-11-jre:amd64-11.0.9.1+1-0ubuntu1~18.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-20ubuntu0.1
Environment variable LANG: de_DE.UTF-8
libcommons-compress-java: libcommons-compress-java:all-1.18-1~18.04
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:all-20171026-2
liboauth-signpost-java: liboauth-signpost-java:all-1.2.1.2-1.5
VM arguments: [--add-modules=java.scripting,java.sql, -Djosm.restart=true, -Djava.net.useSystemProxies=true]
Dataset consistency test: No problems found

Plugins:
+ FixAddresses (35640)
+ HouseNumberTaggingTool (35640)
+ OpeningHoursEditor (35640)
+ buildings_tools (35669)
+ imagery_offset_db (35640)
+ reverter (35640)
+ turnrestrictions (35640)
+ undelete (35640)
+ utilsplugin2 (35674)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historical_Objects&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1

Last errors/warnings:
- 13867,584 W: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 13867,590 E: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 13867,646 E: org.openstreetmap.josm.io.OsmTransferException: Verbindung zum OSM-Server fehlgeschlagen. Bitte überprüfen Sie Ihre Internetverbindung.. Ursache: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 13867,658 E: Netzwerkausnahme - <html>Verbindungsaufbau zum Remote-Server<br>'https://api.openstreetmap.org/api/0.6/node/3703528096/history' gescheitert.<br>Bitte überprüfen Sie Ihre Internetverbindung.</html>
- 13869,938 W: {Node id=3703528096 version=2 MVT lat=48.1814648,lon=11.5212171} not found in HistoryDataSet
- 14120,474 W: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 14120,475 W: Already here java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 14120,476 E: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 14120,478 W: org.openstreetmap.josm.io.OsmTransferException: Verbindung zum OSM-Server fehlgeschlagen. Bitte überprüfen Sie Ihre Internetverbindung.. Ursache: java.net.ConnectException: Verbindungsaufbau abgelehnt (Connection refused)
- 66672,507 E: Handled by bug report queue: java.lang.IllegalArgumentException: Width and height must be >= 0



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (19) of main
java.lang.IllegalArgumentException: Width and height must be >= 0
	at java.desktop/javax.swing.plaf.basic.BasicHTML.getHTMLBaseline(BasicHTML.java:91)
	at java.desktop/javax.swing.plaf.metal.MetalToolTipUI.paint(MetalToolTipUI.java:126)
	at java.desktop/javax.swing.plaf.ComponentUI.update(ComponentUI.java:161)
	at java.desktop/javax.swing.JComponent.paintComponent(JComponent.java:797)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1074)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1083)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1083)
	at java.desktop/javax.swing.JLayeredPane.paint(JLayeredPane.java:590)
	at java.desktop/javax.swing.JComponent.paintChildren(JComponent.java:907)
	at java.desktop/javax.swing.JComponent.paintToOffscreen(JComponent.java:5262)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBufferedImpl(RepaintManager.java:1643)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(RepaintManager.java:1618)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paint(RepaintManager.java:1556)
	at java.desktop/javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:262)
	at java.desktop/javax.swing.RepaintManager.paint(RepaintManager.java:1323)
	at java.desktop/javax.swing.JComponent.paint(JComponent.java:1060)
	at java.desktop/java.awt.GraphicsCallback$PaintCallback.run(GraphicsCallback.java:39)
	at java.desktop/sun.awt.SunGraphicsCallback.runOneComponent(SunGraphicsCallback.java:78)
	at java.desktop/sun.awt.SunGraphicsCallback.runComponents(SunGraphicsCallback.java:115)
	at java.desktop/java.awt.Container.paint(Container.java:2002)
	at java.desktop/java.awt.Window.paint(Window.java:3940)
	at java.desktop/javax.swing.RepaintManager$4.run(RepaintManager.java:876)
	at java.desktop/javax.swing.RepaintManager$4.run(RepaintManager.java:848)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:848)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:823)
	at java.desktop/javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:772)
	at java.desktop/javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1890)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:117)
	at java.desktop/java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:190)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:235)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:233)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.desktop/java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:233)
	at java.desktop/java.awt.Dialog.show(Dialog.java:1070)
	at java.desktop/java.awt.Component.show(Component.java:1716)
	at java.desktop/java.awt.Component.setVisible(Component.java:1663)
	at java.desktop/java.awt.Window.setVisible(Window.java:1031)
	at java.desktop/java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.io.UploadDialog.setVisible(UploadDialog.java:433)
	at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:244)
	at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:292)
	at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
	at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
	at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
	at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
	at java.desktop/javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:279)
	at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
	at java.desktop/java.awt.Component.processMouseEvent(Component.java:6635)
	at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
	at java.desktop/java.awt.Component.processEvent(Component.java:6400)
	at java.desktop/java.awt.Container.processEvent(Container.java:2263)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5011)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4918)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4547)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4488)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2307)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:95)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

Changed 17 months ago by anonymous

Upload dialog where the exception occurred

comment:91 Changed 17 months ago by skyper

In relation editor with laf DarkMode I noticed that usually the tooltip of the member list only goes to top or bottom of screen but not both directions and context is cut off. But sometimes the full screen height is used. Gonna have to open a new ticket the next days.

Last edited 17 months ago by skyper (previous) (diff)

comment:92 Changed 17 months ago by Don-vip

Ticket #20372 has been marked as a duplicate of this ticket.

comment:93 in reply to:  91 Changed 17 months ago by skyper

Replying to skyper:

In relation editor with laf DarkMode I noticed that usually the tooltip of the member list only goes to top or bottom of screen but not both directions and context is cut off. But sometimes the full screen height is used. Gonna have to open a new ticket the next days.

See #20375.

comment:94 Changed 16 months ago by Klumbumbus

Ticket #20400 has been marked as a duplicate of this ticket.

comment:95 Changed 16 months ago by Klumbumbus

Description: modified (diff)

11.0.10 now too

comment:96 Changed 16 months ago by skyper

Ticket #20423 has been marked as a duplicate of this ticket.

comment:97 Changed 16 months ago by taylor.smock

Ticket #20448 has been marked as a duplicate of this ticket.

comment:98 Changed 16 months ago by GerdP

Ticket #20452 has been marked as a duplicate of this ticket.

comment:99 Changed 16 months ago by skyper

Description: modified (diff)

#20448 is the first ticket with java version 15.

comment:100 Changed 16 months ago by skyper

Ticket #20466 has been marked as a duplicate of this ticket.

comment:101 Changed 16 months ago by GerdP

Ticket #20472 has been marked as a duplicate of this ticket.

comment:102 Changed 16 months ago by GerdP

Ticket #20483 has been marked as a duplicate of this ticket.

comment:103 Changed 15 months ago by skyper

Description: modified (diff)

#20483 is the first ticket with java version 15.0.2.

Last edited 15 months ago by skyper (previous) (diff)

comment:104 Changed 15 months ago by skyper

Description: modified (diff)

comment:105 Changed 15 months ago by Strubbl

Cc: Strubbl added

comment:106 Changed 15 months ago by GerdP

Ticket #20496 has been marked as a duplicate of this ticket.

comment:107 Changed 15 months ago by skyper

Ticket #20499 has been marked as a duplicate of this ticket.

comment:108 Changed 15 months ago by skyper

Cc: Win32netsky added

comment:109 Changed 15 months ago by skyper

Cc: A_Pirard added

comment:110 Changed 15 months ago by skyper

Ticket #20503 has been marked as a duplicate of this ticket.

comment:111 Changed 15 months ago by skyper

Ticket #20507 has been marked as a duplicate of this ticket.

comment:112 Changed 15 months ago by GerdP

Ticket #20512 has been marked as a duplicate of this ticket.

comment:113 in reply to:  23 Changed 15 months ago by skyper

Replying to skyper:

No, I get it with all kinds of dialogs like relation manager, validator panel, history viewer etc.. Have to watch out, if it only happens with separate dialogs and undocked panels.

Just got it within the docked validator panel. Happened within first session with empty preferences and only switching on expert mode.

comment:114 Changed 15 months ago by Don-vip

Ticket #20529 has been marked as a duplicate of this ticket.

comment:115 Changed 15 months ago by GerdP

Ticket #20542 has been marked as a duplicate of this ticket.

comment:116 Changed 15 months ago by skyper

Ticket #20545 has been marked as a duplicate of this ticket.

comment:117 Changed 15 months ago by skyper

Cc: icke68746 added

comment:118 Changed 15 months ago by skyper

Ticket #20556 has been marked as a duplicate of this ticket.

comment:119 Changed 15 months ago by pangoSE

Cc: pangoSE removed

comment:120 Changed 15 months ago by GerdP

Ticket #20562 has been marked as a duplicate of this ticket.

comment:121 Changed 15 months ago by GerdP

If I got that right this error doesn't reoccur when you try again to do whatever you tried to do before? Would it be an option to catch the error and suppress the rather useless bug report?

comment:122 in reply to:  121 ; Changed 15 months ago by skyper

Replying to GerdP:

If I got that right this error doesn't reoccur when you try again to do whatever you tried to do before? Would it be an option to catch the error and suppress the rather useless bug report?

I had this also in mind but it seems not easy to achieve:

Vincent wrote: Don-vip:

Replying to skyper:

Probably the easiest solution on our side is to silently ignore this warning.

Not easy at all. The error happens in the EDT, not in a JOSM thread. The question is really why so many people are using Metal?

comment:123 Changed 15 months ago by taylor.smock

Replying to skyper

[...] The question is really why so many people are using Metal?

That is a good question. I don't think I've ever changed the default on my linux box, but I should probably check that.

comment:124 in reply to:  122 ; Changed 15 months ago by Strubbl

Replying to skyper:

Vincent wrote: Don-vip:

Replying to skyper:

Probably the easiest solution on our side is to silently ignore this warning.

Not easy at all. The error happens in the EDT, not in a JOSM thread. The question is really why so many people are using Metal?

I did not choose Metal. Does it mean if we change to anything different than metal, this error goes away? I always have this error when using JOSM. How can i change away from metal?

comment:125 in reply to:  124 ; Changed 15 months ago by taylor.smock

Replying to Strubbl:

[...]
I did not choose Metal. Does it mean if we change to anything different than metal, this error goes away? I always have this error when using JOSM. How can i change away from metal?

JOSM Preferences -> Display -> Look and Feel -> Change from Metal to anything else.

EDIT: Looks like we need to update https://josm.openstreetmap.de/wiki/Help/Preferences/Display#LookAndFeel .

Last edited 15 months ago by taylor.smock (previous) (diff)

comment:126 Changed 15 months ago by Strubbl

Okay, i found an option in Edit -> Preferences -> Advanced Preferences. I changed the value of key "laf" to "com.sun.java.swing.plaf.gtk.GTKLookAndFeel", restarted JOSM, but this looks very ugly.

Last edited 15 months ago by Strubbl (previous) (diff)

comment:127 in reply to:  125 ; Changed 15 months ago by Strubbl

Replying to taylor.smock:

JOSM Preferences -> Display -> Look and Feel -> Change from Metal to anything else.

way easier than my way. Nimbus looks okay to work with. The other styles (CDE/Motif and GTK+) are hard to read.

Last edited 15 months ago by Strubbl (previous) (diff)

comment:128 Changed 15 months ago by skyper

I like the Dark Mode from the laf-plugin, but you can still check the checkbox to ignore this bug report for ever and continue to use Metal.

comment:129 in reply to:  127 Changed 15 months ago by skyper

Replying to Strubbl:

The other styles (CDE/Motif and GTK+) are hard to read.

You might need to install fonts or play around with different ones and their size.

comment:130 in reply to:  128 Changed 15 months ago by Strubbl

Replying to skyper:

I like the Dark Mode from the laf-plugin, but you can still check the checkbox to ignore this bug report for ever and continue to use Metal.

Do you mean the plugin FlatLaf?
How i can i check the checkbox to ignore this bug _forever_? So far i need the bug popup twice, because in the first popup i cannot ignore this bug for the runtime. In the second popup it is only possible to ignore the bug until the end of the JOSM session. After a JOSM restart i get the bug popups again.

comment:131 in reply to:  125 Changed 15 months ago by skyper

Replying to taylor.smock:

EDIT: Looks like we need to update https://josm.openstreetmap.de/wiki/Help/Preferences/Display#LookAndFeel .

I know: OutdatedPages

Replying to Strubbl:

Do you mean the plugin FlatLaf?

Sorry, yes.

How i can i check the checkbox to ignore this bug _forever_? So far i need the bug popup twice, because in the first popup i cannot ignore this bug for the runtime. In the second popup it is only possible to ignore the bug until the end of the JOSM session. After a JOSM restart i get the bug popups again.

Mmh, maybe, I was too fast and it is only for session.

comment:132 Changed 15 months ago by Strubbl

Thanks for clarifying. I am going to test FlatLaf Dark, too.

comment:133 Changed 15 months ago by skyper

Ticket #20602 has been marked as a duplicate of this ticket.

comment:134 Changed 15 months ago by skyper

Description: modified (diff)

Welcome Fedora under the affected distributions.

comment:135 Changed 15 months ago by skyper

Description: modified (diff)

comment:136 Changed 14 months ago by Don-vip

Ticket #20639 has been marked as a duplicate of this ticket.

comment:137 Changed 14 months ago by skyper

Ticket #20662 has been marked as a duplicate of this ticket.

comment:138 Changed 14 months ago by Don-vip

Ticket #20676 has been marked as a duplicate of this ticket.

comment:139 Changed 14 months ago by simon04

Keywords: javabug added

Java bug: [JDK-8262085] Hovering Metal HTML Tooltips in different windows cause IllegalArgExc on Linux

https://bugs.openjdk.java.net/browse/JDK-8262085
Affects Version/s: 11, 15, 16
Fix Version/s: 17

comment:140 Changed 14 months ago by Don-vip

Then we must ask Debian OpenJDK team to backport JDK-8262085 into openjdk-11.

They seem to do it sometimes:
https://salsa.debian.org/openjdk-team/openjdk/-/commit/84682a0f20b2baf25e586dee16f34ad4dde1bfc1

comment:142 Changed 14 months ago by skyper

Wow, finally.

Debian is in freeze. Probably, this fix will not make it into Debian 11 (bullseye) RC1 and the bug will be present for some more month as only experimental is upgraded, atm.

comment:143 Changed 14 months ago by Don-vip

Milestone: 21.03
Owner: changed from team to Don-vip
Status: newassigned

comment:144 Changed 14 months ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 17681/josm:

fix #19585 - add workaround to JDK-8262085

comment:145 Changed 14 months ago by Don-vip

In 17682/josm:

fix #19585 - fix workaround to JDK-8262085

comment:146 Changed 14 months ago by simon04

@Vincent, awesome!

comment:147 Changed 14 months ago by skyper

Ticket #20698 has been marked as a duplicate of this ticket.

comment:148 in reply to:  144 ; Changed 14 months ago by Klumbumbus

Replying to Don-vip:

In 17681/josm:

fix #19585 - add workaround to JDK-8262085

Congrats! You fixed 77 tickets with that one commit. I guess thats a new record ;)

comment:149 in reply to:  148 Changed 14 months ago by Don-vip

Replying to Klumbumbus:

Congrats! You fixed 77 tickets with that one commit. I guess thats a new record ;)

Haha thanks :)

comment:150 in reply to:  142 Changed 13 months ago by skyper

Replying to skyper:

Wow, finally.

Debian is in freeze. Probably, this fix will not make it into Debian 11 (bullseye) RC1 and the bug will be present for some more month as only experimental is upgraded, atm.

I was wrong. Version 11.0.11+8-1 includes the fix and an update for Debian 10 (buster) is available, too.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.